#include "GeneratorEntity.h"
#include "AnimationMontageDescriptor.h"
#include "MontagePlayer.h"

class UObject;

void AGeneratorEntity::SetSkeletalMeshActive(bool active)
{

}

void AGeneratorEntity::SetAssociatedGenerator(UObject* generator)
{

}

void AGeneratorEntity::PlayMontage(FAnimationMontageDescriptor animMontageID, float playRate, bool isFollower)
{

}

UMontagePlayer* AGeneratorEntity::GetMontagePlayer() const
{
	return NULL;
}

AGeneratorEntity::AGeneratorEntity()
{
	this->_montagePlayer = CreateDefaultSubobject<UMontagePlayer>(TEXT("MontagePlayer"));
}
